## mp3check 0.7.3

=== Makefile ===
# use this on big-endian machines (like m68k, PowerPC, MIPS and Sparc)
# CPPFLAGS   = -DBIGENDIAN
# CXXFLAGS   = -O2 -Wall
CXXFLAGS   = -O2

# use correct linker in implicit rule (c++ or g++)
CC=$(CXX)

# Edited for Debian GNU/Linux by Klaus Kettner (kk@debian.org)
DESTDIR    =
BIN        = $(DESTDIR)/usr/bin

TARGET     = mp3check

OBJECTS    = crc16.o id3tag.o mp3check.o tappconfig.o tstring.o tfiletools.o

${TARGET} : ${OBJECTS}

clean :
	rm -f ${OBJECTS} ${TARGET} ${TARGET}.exe core *~

# debian install target
install : mp3check
	install -d $(BIN)
	install ./mp3check $(BIN)
	install -d $(DESTDIR)/usr/share/doc/mp3check
	install -m 644 -p FAQ TODO THANKS CHANGES-Khali HISTORY $(DESTDIR)/usr/share/doc/mp3check

# red hat package target
spec:
	sed -e "s/^\(Version:\).*/\1 $(VER)/" $(TARGET).spec > $(TARGET).spec.new || true
	mv -f $(TARGET).spec.new $(TARGET).spec || true

## mp3check 0.8.7

=== Makefile ===
# Copyright (C) 2008 by Johannes Overmann <Johannes.Overmann@gmx.de>
# Please see COPYING for license.

# --- config ----------------------------------------------------------------
WARN = -Wall -W -g
#OPT = -O2
OPT =
CPPFLAGS = $(ADDITIONAL_CPPFLAGS)
CXXFLAGS = $(WARN) $(OPT)
CXX = g++
CC = $(CXX)

# --- default target
default: all

# --- target definition -----------------------------------------------------
-include Makefile.init # indirectly include TARGET
include TARGET
SRC := $(wildcard *.cc) $(ADDITIONAL_SOURCES)
VERSION := $(shell grep '\#define VERSION' $(TARGET).cc | sed 's/.*"\([^"]*\)".*/\1/g')
DISTFILES := $(SRC) $(wildcard *.h) TARGET INSTALL COPYING Makefile configure $(wildcard $(TARGET).1)


# --- common rules ----------------------------------------------------------
OBJ := $(SRC:.cc=.o)

all: $(TARGET)

usage:
	@echo "Targets: $(TARGET) strip install dist clean"

$(TARGET): $(OBJ)

strip:
	strip $(TARGET)

install: all strip
	cp $(TARGET) /usr/local/bin

PACKAGE = $(TARGET)-$(VERSION)
dist:
	rm -rf $(PACKAGE)
	mkdir $(PACKAGE)
	cp $(DISTFILES) $(PACKAGE)
	tar czvhf $(PACKAGE).tgz $(PACKAGE)

clean:
	rm -f $(OBJ) $(DEP) $(TARGET) *~ $(PACKAGE).tgz
	rm -rf $(PACKAGE) $(ADDITIONAL_CLEANFILES)

svnclean: clean

.PHONY: default all clean strip dist svnclean install usage

# --- meta object compiler for qt -------------------------------------------
moc_%.cc: %.h
	moc -o $@ $<
	
	
# --- dependency generation -------------------------------------------------
.dep.%: %.cc
	$(CXX) $(CPPFLAGS) -MM -MT "$@ $(<:%.cc=%.o)" $< -o $@
DEP := $(SRC:%.cc=.dep.%)
ifeq ($(findstring $(MAKECMDGOALS),clean),)
ifeq ($(findstring $(MAKECMDGOALS),svnclean),)
-include $(DEP)
endif
endif

=== debian/changelog ===
mp3check (0.8.7-4) unstable; urgency=medium

  * New maintainer (Closes: #997973).
  * Update Standards-Version to 4.6.1 (no changes needed).
  * Enable "bindnow" for hardening options.
  * Removed outdated Vcs-* fields in debian/control.
  * Fix spelling errors in error messages.
  * Use "https" instead of "http" in various URLs.
  * Refresh and reorder patches.
  * Add lintian override for obsolete-url-in-packaging.

 -- Joachim Reichel <reichel@debian.org>  Sun, 21 Aug 2022 20:09:41 +0200

mp3check (0.8.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/60_bts925782_ftbfs_with_gcc_9.patch: added to fix FTBFS
    with GCC-9. Thanks to Joachim Reichel <joachim.reichel@posteo.de>. (Closes:
    #925782)

 -- David da Silva Polverari <david.polverari@gmail.com>  Thu, 11 Jun 2020 00:33:53 -0500

mp3check (0.8.7-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS; Closes: #865857
    + Instruct dh_auto_build to pass cross compilers.
    + Upstream expects CC to contain a C++ compiler.
    + Add debian/patches/nostrip.patch.

  [ Sandro Tosi ]
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)
    - update Vcs-* fields, pointing to Salsa

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Dec 2018 18:33:01 -0500

mp3check (0.8.7-2) unstable; urgency=low

  * debian/patches/40_bts726068_remove_truncated_last_frame.patch
    - fix to prevent segfaults when the last audio frame is truncated; thanks to
      Xavier Hienne for the report and patch; Closes: #726068, #315497
  * debian/control
    - bump Standards-Version to 3.9.4 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2013 00:36:02 +0200

mp3check (0.8.7-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - updated to use Google Code
  * debian/copyright
    - updated upstream copyright years
  * debian/patches/{15-bts667288-gcc-4.7.patch, 30_bts624138_manpage_typo.patch}
    - removed, merged upstream
  * debian/{control, copyright}
    - updated upstream website location
  * debian/{rules, patches/30_hardening.patch}
    - build using the hardening flags

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Jun 2012 12:02:50 +0200

mp3check (0.8.4-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - updated
  * debian/control
    - added Vcs-{Git, Browser} fields
    - added ${misc:Depends} to Depends line
    - bump Standards-Version to 3.9.3 (no changes needed)
  * Converted to 3.0 (quilt) source format
  * Converted to debhelper 9 and dh sequencer
  * debian/copyright
    - updated to DEP5 and to new upstream release
  * debian/patches/20_use_destdir_to_install.patch
    - install using DESTDIR variable
  * debian/rules
    - upstream doesn't ship doc anymore
    - install the manpage (no longer done by upstream Makefile)
  * debian/patches/15-bts667288-gcc-4.7.patch
    - fix FTBFS with GCC-4.7 (due to uncoordinated upload by gcc "maintainer");
      thanks to Jari Aalto for the patch; Closes: #667288
  * debian/patches/30_bts624138_manpage_typo.patch
    - fix a typo in the manpage; thanks to Reuben Thomas for the report;
      Closes: #624138

 -- Sandro Tosi <morph@debian.org>  Sat, 12 May 2012 16:08:03 +0200

mp3check (0.8.3-2) unstable; urgency=low

  * debian/control
    - updated my email address
    - bump Standards-Version to 3.8.1
      + added debian/README.source
  * debian/copyright
    - added explicit packaging copyright section, adding my contributions
    - link to versioned GPL-2 license file
  * debian/patches/*.dpatch
    - updated my email address
  * debian/rules
    - merged 'rm' into dh_clean call

 -- Sandro Tosi <morph@debian.org>  Fri, 22 May 2009 18:47:05 +0200

mp3check (0.8.3-1) unstable; urgency=low

  * Adopting package (Closes: #465887)
  * Aknowledge NMU (Closes: #399047, #395451)
  * New upstream release (Closes: #437399)
  * debian/control
    - set myself as maintainer
    - bump Standards-Version to 3.7.3
    - added Homepage field
    - little changes in short description
    - removed tailing spaces from long description
    - added dpatch build-dep
  * debian/watch
    - added
  * debian/rules
    - removed DH_COMPAT
    - commented DH_VERBOSE
    - no longer ignores clean error
    - removedtemplate header
    - integrated debian/docs
    - removed unneeded/commented dh_* calls
    - added dpatch stuff
    - updated doc files installation
  * debian/compat
    - added
  * debian/docs
    - deleted
  * debian/dirs
    - deleted
  * debian/copyright
    - indented upstream author with 4 spaces
    - added upstrem author email address
    - added copyright notices (previous it was used as license)
    - added a real license note
  * debian/patches/01_restore_pristine_code.dpatch
    - added to remove direct upstream code changes
    - edited for 0.8.3 release
  * debian/patches/10_bts450532-455727_manpage_fixes.dpatch
    - added to fix manpage (Closes: #450532, #455727)

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 20 Mar 2008 23:38:42 +0100

mp3check (0.8.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed protection of tags id3. Patch by Tobias Frost <tobi@coldtobi.de>.
    (Closes: #399047)
  * Built with gcc4, updates from libstdc++5 to libstdc++6 (Closes: #395451).
  * Updated compat to 5.
  * Bumped standards-version to 3.7.2, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 28 Nov 2006 14:57:12 +0100

mp3check (0.8.0-4) unstable; urgency=low

  * Apply patch to allow mp3check to compile with gcc 3.4. (Closes: #260651)

 -- James Morrison <phython@debian.org>  Sun, 25 Jul 2004 13:38:13 -0700

mp3check (0.8.0-3) unstable; urgency=low

  * Don't write based the end of memory. (Closes: #227977)

 -- James Morrison <phython@debian.org>  Tue, 27 Jan 2004 20:15:07 -0500

mp3check (0.8.0-2) unstable; urgency=low

  * Fix build issues on m68k, alpha and ia64.



=== debian/control ===
Source: mp3check
Section: sound
Priority: optional
Maintainer: Joachim Reichel <reichel@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://code.google.com/p/mp3check/

Package: mp3check
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mpg321
Description: tool to check mp3 files for consistency
 Prints several errors and warnings concerning the consistency of mp3 files.
 Lists stream attributes (color). Layer 1,2,3, mpeg1.0+2.0 are currently
 supported.  CRC check for layer 3.
 .
 mp3check is very useful for incomplete mp3 detection as it can be used to
 scan through your mp3 collection and find all mp3s that aren't perfect. Good
 for use with many file sharing systems.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# Get the hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -fno-strict-aliasing

%:
	dh $@

override_dh_auto_build:
	# Explicitly set buildsystem since "configure" is a custom script that does not do much.
	dh_auto_build --buildsystem=makefile -- CC='$$(CXX)'

override_dh_installman:
	dh_installman mp3check.1

=== debian/watch ===
version=4
https://code.google.com/p/mp3check/downloads/list .*/mp3check-(.*)\.tgz
